package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.cooleshow.biz.dal.enums.ClientEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-09-02
 */
@ApiModel("用户信息")
public class UserParam{

    @ApiModelProperty("用户id")
    @NotNull(message = "用户id不能为空")
    private Long userId;

    @ApiModelProperty("客户端类型 TEACHER :老师 STUDENT:学生")
    @NotNull(message = "客户端类型不能为空")
    private ClientEnum clientType;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public ClientEnum getClientType() {
        return clientType;
    }

    public void setClientType(ClientEnum clientType) {
        this.clientType = clientType;
    }
}
